org.multiverse.stms.gamma

## Interface GammaConstants

All Superinterfaces:
  MultiverseConstants

All Known Subinterfaces:
  GammaObject

All Known Implementing Classes:
  AbstractGammaObject, BaseGammaTxnRef, FatFixedLengthGammaTxn, FatMonoGammaTxn, FatVariableLengthGammaTxn, GammaTxn, GammaTxnBoolean, GammaTxnConfig, GammaTxnDouble, GammaTxnInteger, GammaTxnLong, GammaTxnPool, GammaTxnRef, LeanFixedLengthGammaTxn, LeanMonoGammaTxn, Tranlocal

    public interface GammaConstants
    extends MultiverseConstants

Contains the constants for the `GammaStm`.

### Field Summary

Fields
`static int` `FAILURE`
`static int` `MASK_CONFLICT`
`static int` `MASK_SUCCESS`
`static int` `MASK_UNREGISTERED`
`static int` `REGISTRATION_DONE`
`static int` `REGISTRATION_NONE`
`static int` `REGISTRATION_NOT_NEEDED`
`static int` `TRANLOCAL_COMMUTING`
`static int` `TRANLOCAL_CONSTRUCTING`
`static int` `TRANLOCAL_READ`
`static int` `TRANLOCAL_WRITE`
`static int` `TRANSACTIONTYPE_FAT_FIXED_LENGTH`
`static int` `TRANSACTIONTYPE_FAT_MONO`
`static int` `TRANSACTIONTYPE_FAT_VARIABLE_LENGTH`
`static int` `TRANSACTIONTYPE_LEAN_FIXED_LENGTH`
`static int` `TRANSACTIONTYPE_LEAN_MONO`
`static int` `TX_ABORTED`
`static int` `TX_ACTIVE`
`static int` `TX_COMMITTED`
`static int` `TX_PREPARED`
`static int` `TYPE_BOOLEAN`
`static int` `TYPE_DOUBLE`
`static int` `TYPE_INT`
`static int` `TYPE_LONG`
`static int` `TYPE_REF`
`static int` `VERSION_UNCOMMITTED`

### Fields inherited from interface org.multiverse.MultiverseConstants

`LOCKMODE_EXCLUSIVE, LOCKMODE_NONE, LOCKMODE_READ, LOCKMODE_WRITE, SHAKE_BUGS, SPIN_YIELD, TRACING_ENABLED`

### Field Detail

#### FAILURE

    static final int FAILURE

See Also:
  Constant Field Values

#### MASK_SUCCESS

    static final int MASK_SUCCESS

See Also:
  Constant Field Values

#### MASK_UNREGISTERED

    static final int MASK_UNREGISTERED

See Also:
  Constant Field Values

#### MASK_CONFLICT

    static final int MASK_CONFLICT

See Also:
  Constant Field Values

#### REGISTRATION_DONE

    static final int REGISTRATION_DONE

See Also:
  Constant Field Values

#### REGISTRATION_NOT_NEEDED

    static final int REGISTRATION_NOT_NEEDED

See Also:
  Constant Field Values

#### REGISTRATION_NONE

    static final int REGISTRATION_NONE

See Also:
  Constant Field Values

#### TRANLOCAL_CONSTRUCTING

    static final int TRANLOCAL_CONSTRUCTING

See Also:
  Constant Field Values

#### TRANLOCAL_WRITE

    static final int TRANLOCAL_WRITE

See Also:
  Constant Field Values

#### TRANLOCAL_COMMUTING

    static final int TRANLOCAL_COMMUTING

See Also:
  Constant Field Values

#### TRANLOCAL_READ

    static final int TRANLOCAL_READ

See Also:
  Constant Field Values

#### TX_ACTIVE

    static final int TX_ACTIVE

See Also:
  Constant Field Values

#### TX_PREPARED

    static final int TX_PREPARED

See Also:
  Constant Field Values

#### TX_ABORTED

    static final int TX_ABORTED

See Also:
  Constant Field Values

#### TX_COMMITTED

    static final int TX_COMMITTED

See Also:
  Constant Field Values

#### TYPE_INT

    static final int TYPE_INT

See Also:
  Constant Field Values

#### TYPE_LONG

    static final int TYPE_LONG

See Also:
  Constant Field Values

#### TYPE_DOUBLE

    static final int TYPE_DOUBLE

See Also:
  Constant Field Values

#### TYPE_BOOLEAN

    static final int TYPE_BOOLEAN

See Also:
  Constant Field Values

#### TYPE_REF

    static final int TYPE_REF

See Also:
  Constant Field Values

#### TRANSACTIONTYPE_LEAN_MONO

    static final int TRANSACTIONTYPE_LEAN_MONO

See Also:
  Constant Field Values

#### TRANSACTIONTYPE_LEAN_FIXED_LENGTH

    static final int TRANSACTIONTYPE_LEAN_FIXED_LENGTH

See Also:
  Constant Field Values

#### TRANSACTIONTYPE_FAT_MONO

    static final int TRANSACTIONTYPE_FAT_MONO

See Also:
  Constant Field Values

#### TRANSACTIONTYPE_FAT_FIXED_LENGTH

    static final int TRANSACTIONTYPE_FAT_FIXED_LENGTH

See Also:
  Constant Field Values

#### TRANSACTIONTYPE_FAT_VARIABLE_LENGTH

    static final int TRANSACTIONTYPE_FAT_VARIABLE_LENGTH

See Also:
  Constant Field Values

#### VERSION_UNCOMMITTED

    static final int VERSION_UNCOMMITTED

See Also:
  Constant Field Values